Skip to main content
Tungsten Dashboard

Test Connectivity to the Tungsten Manager API Directly

Test connectivity to the Tungsten Manager API directly using curl:

shell> curl -s http://db1:8090/manager/status/east/
shell> curl -s http://db4:8090/manager/status/west/
shell> curl -s -X POST http://db4:8090/manager/control/west/heartbeat

Test Connectivity to the Tungsten APIv2 Directly

Version availability

Available in 1.0.10-125 and later.

Test connectivity to the Tungsten APIv2 directly using curl for Secure deployments:

shell> /usr/bin/curl --user tungsten:demo -k --request GET 'https://db1:8090/api/v2/manager/status'

shell> /usr/bin/curl --user tungsten:demo -k --request POST 'https://db4:8090/api/v2/manager/control/service/south/heartbeat'

Test connectivity to the Tungsten APIv2 directly for Secure deployments using the tapi command on a Tungsten node:

important

Please note that the tapi command exists only on Tungsten database nodes, because it is included with the Tungsten Clustering software, not the Dashboard.

shell> tapi -M -r status
{
"managerPID" : 3234,
"dataSourceName" : "db10-demo.continuent.com",
"parentPID" : 3213,
"dataServiceName" : "south",
"isCoordinator" : true,
"state" : "ONLINE",
"uptimeSeconds" : 3428,
"isWitness" : false,
"policyMode" : "AUTOMATIC",
"coordinator" : "db10-demo.continuent.com",
"startTime" : "2022-03-14T20:41:41.427 UTC"
}

shell> tapi -M -r heartbeat
{
"taskId" : "1e52cc32-ada5-4546-beea-32eb26846629",
"operation" : "HeartbeatTask",
"state" : "in_progress"
}

Test connectivity to the Tungsten APIv2 directly using curl for NON-Secure deployments:

shell> /usr/bin/curl --user tungsten:demo --request GET 'http://db1:8090/api/v2/manager/status'

shell> /usr/bin/curl --user tungsten:demo --request POST 'http://db4:8090/api/v2/manager/control/service/south/heartbeat'

Test connectivity to the Tungsten APIv2 directly for NON-Secure deployments using the tapi command on a Tungsten node:

important

Please note that the tapi command exists only on Tungsten database nodes, because it is included with the Tungsten Clustering software, not the Dashboard.

shell> tapi --http -M -r status
WARN: Using insecure Non-SSL http connection instead of the default https
{
"managerPID" : 3234,
"dataSourceName" : "db10-demo.continuent.com",
"parentPID" : 3213,
"dataServiceName" : "south",
"isCoordinator" : true,
"state" : "ONLINE",
"uptimeSeconds" : 3428,
"isWitness" : false,
"policyMode" : "AUTOMATIC",
"coordinator" : "db10-demo.continuent.com",
"startTime" : "2022-03-14T20:41:41.427 UTC"
}

shell> tapi --http -M -r heartbeat
WARN: Using insecure Non-SSL http connection instead of the default https
{
"taskId" : "1e52cc32-ada5-4546-beea-32eb26846629",
"operation" : "HeartbeatTask",
"state" : "in_progress"
}